[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiQuotedStr

Return a quoted version of a string.

## Declaration

Source position: sysstrh.inc line 101

`function AnsiQuotedStr(`
`const S: string;`
`Quote: Char`
`):string;`

## Description

AnsiQuotedString quotes the string S and returns the result. This means that it puts the Quote character at both the beginning and end of the string and replaces any occurrence of Quote in S with 2 Quote characters. The action of AnsiQuotedString can be reversed by AnsiExtractQuotedStr.

For an example, see AnsiExtractQuotedStr

## Errors

None.

## See also

AnsiExtractQuotedStr |  | Removes the first quoted string from a string.

Documentation generated on: Feb 26 2014